curl --request PUT \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/legal-documents \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"acceptedAt": "2025-10-05T14:48:00Z",
"type": "crossmint-privacy-policy"
}
'{
"acceptedAt": "2024-01-15T10:30:00.000Z"
}REST
Accept Legal Document
Record user acceptance of a legal document. Supported types are crossmint-privacy-policy and crossmint-terms-of-service. The latest version of the document is always recorded. When accepting crossmint-terms-of-service, the region field is required so the correct regional agreement is resolved.
API scope required: users.create
PUT
/
2025-06-09
/
users
/
{userLocator}
/
legal-documents
curl --request PUT \
--url https://staging.crossmint.com/api/2025-06-09/users/{userLocator}/legal-documents \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"acceptedAt": "2025-10-05T14:48:00Z",
"type": "crossmint-privacy-policy"
}
'{
"acceptedAt": "2024-01-15T10:30:00.000Z"
}Path Parameters
A user locator can be of the format:
email:<email>userId:<userId>phoneNumber:<phoneNumber>twitter:<handle>x:<handle>
Examples:
"email:user@example.com"
"userId:507f1f77bcf86cd799439011"
"userId:did:example:cm4lr5piw0h6t1bjho0onryql"
"phoneNumber:+12125551234"
"twitter:johndoe"
"x:@johndoe"
Body
application/json
Was this page helpful?

